'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const path = require('path');
const fs = require('fs');
const sharp = require('sharp');
const fg = require('fast-glob');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e["default"] : e; }

const path__default = /*#__PURE__*/_interopDefaultLegacy(path);
const fs__default = /*#__PURE__*/_interopDefaultLegacy(fs);
const sharp__default = /*#__PURE__*/_interopDefaultLegacy(sharp);
const fg__default = /*#__PURE__*/_interopDefaultLegacy(fg);

const getFileName = (path2) => {
  return path2.replace(/(.*\/)*([^.]+).*/gi, "$2");
};
const batSharp = async (options) => {
  const {
    inputArr = [],
    format = "png",
    outputPath,
    outputConfig = {}
  } = options || {};
  if (!outputPath || !inputArr?.length || !format)
    return;
  const entries = await fg__default(inputArr, { dot: true });
  console.log("input file list: ", entries);
  const isExist = fs__default.existsSync(path__default.normalize(outputPath));
  if (!isExist)
    fs__default.mkdirSync(outputPath);
  let isAllSucc = true;
  for (const filePath of entries) {
    const targetPath = path__default.join(outputPath, `${getFileName(filePath)}.${format}`);
    sharp__default(filePath)[format](outputConfig).toFile(`${targetPath}`, (err) => {
      if (err)
        isAllSucc = false;
    });
  }
  if (isAllSucc)
    console.log("\u5904\u7406\u5B8C\u6BD5");
};

exports.batSharp = batSharp;
