import path from 'path';
import fs from 'fs';
import sharp from 'sharp';
import fg from 'fast-glob';

const getFileName = (path2) => {
  return path2.replace(/(.*\/)*([^.]+).*/gi, "$2");
};
const batSharp = async (options) => {
  const {
    inputArr = [],
    format = "png",
    outputPath,
    outputConfig = {}
  } = options || {};
  if (!outputPath || !inputArr?.length || !format)
    return;
  const entries = await fg(inputArr, { dot: true });
  console.log("input file list: ", entries);
  const isExist = fs.existsSync(path.normalize(outputPath));
  if (!isExist)
    fs.mkdirSync(outputPath);
  let isAllSucc = true;
  for (const filePath of entries) {
    const targetPath = path.join(outputPath, `${getFileName(filePath)}.${format}`);
    sharp(filePath)[format](outputConfig).toFile(`${targetPath}`, (err) => {
      if (err)
        isAllSucc = false;
    });
  }
  if (isAllSucc)
    console.log("\u5904\u7406\u5B8C\u6BD5");
};

export { batSharp };
